Package org.eclipse.pde.launching

## Interface IPDELauncherConstants

All Known Subinterfaces:
  `IPDELauncherConstants`

All Known Implementing Classes:
  `ConfigurationTab`, `MainTab`, `PluginJUnitMainTab`

    public interface IPDELauncherConstants

Constant definitions for PDE launch configurations.

Constant definitions only; not to be implemented.

This class originally existed in 3.2 as `org.eclipse.pde.ui.launcher.IPDELauncherConstants`.

Since:
  3.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `ADDITIONAL_PLUGINS` Launch configuration attribute key.
`static String` `APP_TO_TEST` Launch configuration attribute key used in Plug-in JUnit launch configurations only.
`static String` `APPLICATION` Launch configuration attribute key.
`static String` `ASKCLEAR` Launch configuration attribute key.
`static String` `AUTOMATIC_ADD` Launch configuration attribute key.
`static String` `AUTOMATIC_VALIDATE` Launch configuration attribute key.
`static String` `BOOTSTRAP_ENTRIES` Launch configuration attribute key.
`static String` `CONFIG_CLEAR_AREA` Launch configuration attribute key.
`static String` `CONFIG_GENERATE_DEFAULT` Launch configuration atribute key.
`static String` `CONFIG_LOCATION` Launch configuration attribute key.
`static String` `CONFIG_TEMPLATE_LOCATION` Launch configuration attribute key.
`static String` `CONFIG_USE_DEFAULT_AREA` Launch configuration attribute key.
`static String` `DEFAULT_AUTO_START` Launch configuration attribute key.
`static String` `DEFAULT_START_LEVEL` Launch configuration attribute key.
`static String` `DEFINED_TARGET` Launch configuration attribute key.
`static String` `DESELECTED_WORKSPACE_BUNDLES` Launch configuration attribute key.
`static String` `DESELECTED_WORKSPACE_PLUGINS` Deprecated. Use `DESELECTED_WORKSPACE_BUNDLES`
`static String` `DOCLEAR` Launch configuration attribute key.
`static String` `ECLIPSE_APPLICATION_LAUNCH_CONFIGURATION_TYPE` The launch configuration type for Eclipse application launches.
`static String` `FEATURE_DEFAULT_LOCATION` Launch configuration attribute key.
`static String` `FEATURE_PLUGIN_RESOLUTION` Launch configuration attribute key.
`static String` `GENERATE_PROFILE` Launch configuration attribute key.
`static String` `INCLUDE_OPTIONAL` Launch configuration attribute key.
`static String` `LOCATION` Launch configuration attribute key.
`static String` `LOCATION_DEFAULT` Value for a launch configuration attribute used when the object should be obtained from whatever the default location is for this works
`static String` `LOCATION_EXTERNAL` Value for a launch configuration attribute used when the object should be obtained from an external location over the workspace.
`static String` `LOCATION_WORKSPACE` Value for a launch configuration attribute used when the object should be obtained from the workspace over an external location.
`static String` `OSGI_CONFIGURATION_TYPE` The launch configuration type id for OSGi launches.
`static String` `OSGI_FRAMEWORK_ID` Launch configuration attribute key.
`static String` `PRODUCT` Launch configuration attribute key.
`static String` `PRODUCT_FILE` Launch configuration attribute key.
`static String` `RUN_IN_UI_THREAD` Launch configuration attribute key.
`static String` `SELECTED_FEATURES` Launch configuration attribute key.
`static String` `SELECTED_TARGET_BUNDLES` Launch configuration attribute key.
`static String` `SELECTED_TARGET_PLUGINS` Deprecated. Use `SELECTED_TARGET_BUNDLES`
`static String` `SELECTED_WORKSPACE_BUNDLES` Launch configuration attribute key.
`static String` `SELECTED_WORKSPACE_PLUGINS` Deprecated. Use `SELECTED_WORKSPACE_BUNDLES`
`static String` `SHOW_SELECTED_ONLY` Launch configuration attribute key.
`static String` `TAB_BUNDLES_ID` The unique tab identifier for the bundles tab
`static String` `TAB_CONFIGURATION_ID` The unique tab identifier for the configuration tab
`static String` `TAB_MAIN_ID` The unique tab identifier for the main tab
`static String` `TAB_OSGI_SETTINGS_ID` The unique tab identifier for the osgi settings tab
`static String` `TAB_PLUGIN_JUNIT_MAIN_ID` The unique tab identifier for the plug-in junit tab
`static String` `TAB_PLUGINS_ID` The unique tab identifier for the plug-ins tab
`static String` `TAB_TEST_ID` The unique tab identifier for the tracing tab
`static String` `TAB_TRACING_ID` The unique tab identifier for the tracing tab
`static String` `TARGET_BUNDLES` Deprecated. Use `SELECTED_TARGET_BUNDLES`
`static String` `TRACING` Launch configuration attribute key.
`static String` `TRACING_CHECKED` Launch configuration attribute key.
`static String` `TRACING_NONE` Launch configuration attribute value indicating that, although tracing is enabled, no plug-ins have been selected to be traced.
`static String` `TRACING_OPTIONS` Launch configuration attribute key.
`static String` `TRACING_SELECTED_PLUGIN` Deprecated. This option is no longer supported in the launch config.
`static String` `USE_CUSTOM_FEATURES` Launch configuration attribute key.
`static String` `USE_DEFAULT` Launch configuration attribute key.
`static String` `USE_PRODUCT` Launch configuration attribute key.
`static String` `USEFEATURES` Deprecated. As of 3.6 the feature-based self-hosting option is not supported
`static String` `VMINSTALL` Deprecated. use IJavaLaunchConfigurationConstants.ATTR_JRE_CONTAINER_PATH
`static String` `WORKSPACE_BUNDLES` Deprecated. Use `SELECTED_WORKSPACE_BUNDLES`

### Field Detail

#### LOCATION

    static final String LOCATION

Launch configuration attribute key. The value is a string specifying workspace data location for an Eclipse application.

See Also:
  Constant Field Values

#### DOCLEAR

    static final String DOCLEAR

Launch configuration attribute key. The value is a boolean specifying workspace data location for an Eclipse application should be cleared prior to launching.

See Also:
  Constant Field Values

#### ASKCLEAR

    static final String ASKCLEAR

Launch configuration attribute key. The value is a boolean specifying whether the user should be prompted prior to clearing the workspace.

See Also:
  `DOCLEAR`, Constant Field Values

#### APPLICATION

    static final String APPLICATION

Launch configuration attribute key. The value is a string specifying the application to run. If the value is `null`, the default application as specified in the target platform will be used.

See Also:
  Constant Field Values

#### PRODUCT

    static final String PRODUCT

Launch configuration attribute key. The value is a string specifying the product to run.

See Also:
  `APPLICATION`, Constant Field Values

#### USE_PRODUCT

    static final String USE_PRODUCT

Launch configuration attribute key. The value is a boolean specifying if the launch should appear in product-mode. If the value is `false`, the launch takes place in application-mode.

See Also:
  `PRODUCT`, `APPLICATION`, Constant Field Values

#### APP_TO_TEST

    static final String APP_TO_TEST

Launch configuration attribute key used in Plug-in JUnit launch configurations only. The value is a string specifying the application to be tested. If the value is `null`, the default UI workbench application is tested.

See Also:
  Constant Field Values

#### VMINSTALL

    @Deprecated
    static final String VMINSTALL

Deprecated.
use IJavaLaunchConfigurationConstants.ATTR_JRE_CONTAINER_PATH
Launch configuration attribute key. The value is a string specifying the name of the VM to launch with. If the value is `null`, the default workspace VM is used.

See Also:
  Constant Field Values

#### BOOTSTRAP_ENTRIES

    static final String BOOTSTRAP_ENTRIES

Launch configuration attribute key. The value is a string specifying the user-entered bootstrap classpath entries.

See Also:
  Constant Field Values

#### USE_DEFAULT

    static final String USE_DEFAULT

Launch configuration attribute key. The value is a boolean specifying if the default self-hosting mode should be used when launching. The default being to launch with all workspace plug-ins and all the plug-ins that are explicitly checked on the Target Platform preference page.

See Also:
  Constant Field Values

#### USEFEATURES

    @Deprecated
    static final String USEFEATURES

Deprecated.
As of 3.6 the feature-based self-hosting option is not supported
Launch configuration attribute key. The value is a boolean specifying if the feature-based self-hosting mode should be used. The workspace must be set up properly for the feature-based self-hosting to succeed. Check the PDE Tips and Tricks section for how to set up feature-based self-hosting.

See Also:
  Constant Field Values

#### SELECTED_WORKSPACE_PLUGINS

    @Deprecated
    static final String SELECTED_WORKSPACE_PLUGINS

Deprecated.
Use `SELECTED_WORKSPACE_BUNDLES`
Launch configuration attribute key. The value is a string specifying a comma-separated list of IDs of workspace plug-ins to launch with. This value is only used when the Automatic Add option is off.

See Also:
  Constant Field Values

#### SELECTED_WORKSPACE_BUNDLES

    static final String SELECTED_WORKSPACE_BUNDLES

Launch configuration attribute key. The value is a set specifying IDs of workspace bundles to launch with. This value is only used when the Automatic Add option is off. Each item in the set is of the format: <plugin-id>@<start-level>:<auto-start>

Since:
  3.8
See Also:
  `AUTOMATIC_ADD`, `DEFAULT_AUTO_START`, `DEFAULT_START_LEVEL`, Constant Field Values

#### DESELECTED_WORKSPACE_PLUGINS

    @Deprecated
    static final String DESELECTED_WORKSPACE_PLUGINS

Deprecated.
Use `DESELECTED_WORKSPACE_BUNDLES`
Launch configuration attribute key. The value is a string specifying a comma-separated list of IDs of workspace plug-ins that are to be excluded from the launch. This value is only used when the Automatic Add option is on.

See Also:
  Constant Field Values

#### DESELECTED_WORKSPACE_BUNDLES

    static final String DESELECTED_WORKSPACE_BUNDLES

Launch configuration attribute key. The value is a set specifying IDs of workspace bundles that are to be excluded from the launch. This value is only used when the Automatic Add option is on.

Since:
  3.8
See Also:
  `AUTOMATIC_ADD`, Constant Field Values

#### AUTOMATIC_ADD

    static final String AUTOMATIC_ADD

Launch configuration attribute key. The value is a boolean specifying whether workspace plug-in created after the creation of a launch configuration should be added to the list of plug-ins to launch with. If the value is `true`, then DESELECTED_WORKSPACE_BUNDLES should be used. Otherwise, SELECTED_WORKSPACE_BUNDLES should be used.

See Also:
  `DESELECTED_WORKSPACE_BUNDLES`, `SELECTED_WORKSPACE_BUNDLES`, Constant Field Values

#### AUTOMATIC_VALIDATE

    static final String AUTOMATIC_VALIDATE

Launch configuration attribute key. The value is a boolean specifying whether the list of plug-ins to run should be validate prior to launching. If problems are found, they will be reported and the user will be able to cancel or continue. If no problems are found, the launch continues as normal.

See Also:
  Constant Field Values

#### SELECTED_TARGET_PLUGINS

    @Deprecated
    static final String SELECTED_TARGET_PLUGINS

Deprecated.
Use `SELECTED_TARGET_BUNDLES`
Launch configuration attribute key. The value is a string specifying a comma-separated list of IDs of target platform plug-ins to launch with. This value is only used when the Automatic Add option is off.

See Also:
  Constant Field Values

#### SELECTED_TARGET_BUNDLES

    static final String SELECTED_TARGET_BUNDLES

Launch configuration attribute key. The value is a set specifying the IDs of non-workspace bundles to launch with. This value is only used when the Automatic Add option is off. Each item in the set is of the format: <plugin-id>@<start-level>:<auto-start>

Since:
  3.8
See Also:
  `DEFAULT_AUTO_START`, `DEFAULT_START_LEVEL`, Constant Field Values

#### INCLUDE_OPTIONAL

    static final String INCLUDE_OPTIONAL

Launch configuration attribute key. The value is a boolean indicating whether the computation of required plug-ins on the Plug-ins tab should include the traversal of optional dependencies.

See Also:
  Constant Field Values

#### TRACING

    static final String TRACING

Launch configuration attribute key. The value is a boolean indicating whether tracing is enabled or disabled.

See Also:
  Constant Field Values

#### TRACING_OPTIONS

    static final String TRACING_OPTIONS

Launch configuration attribute key. The value is a map containing the list of options to debug with.

See Also:
  Constant Field Values

#### TRACING_SELECTED_PLUGIN

    @Deprecated
    static final String TRACING_SELECTED_PLUGIN

Deprecated.
This option is no longer supported in the launch config. A recent selection is stored in dialog settings.
Launch configuration attribute key. The value is the id of the last plug-in that was selected on the Tracing tab.

See Also:
  Constant Field Values

#### TRACING_CHECKED

    static final String TRACING_CHECKED

Launch configuration attribute key. The value is the IDs of all plug-ins checked on the Tracing tab. The value may also be "[NONE]"

See Also:
  `TRACING_NONE`, Constant Field Values

#### TRACING_NONE

    static final String TRACING_NONE

Launch configuration attribute value indicating that, although tracing is enabled, no plug-ins have been selected to be traced.

See Also:
  Constant Field Values

#### CONFIG_USE_DEFAULT_AREA

    static final String CONFIG_USE_DEFAULT_AREA

Launch configuration attribute key. The value is a boolean specifying if PDE should generate a default configuration area for the launch. If `true`, a configuration location in the PDE metadata area is created. Otherwise, the user is expected to specify a location.

See Also:
  `CONFIG_LOCATION`, Constant Field Values

#### CONFIG_LOCATION

    static final String CONFIG_LOCATION

Launch configuration attribute key. The value is a string specifying the configuration area location for an Eclipse application launch. This key is only used when CONFIG_USE_DEFAULT_AREA is `false`.

See Also:
  `CONFIG_USE_DEFAULT_AREA`, Constant Field Values

#### CONFIG_CLEAR_AREA

    static final String CONFIG_CLEAR_AREA

Launch configuration attribute key. The value is a boolean specifying if the configuration area location should be cleared prior to launching

See Also:
  Constant Field Values

#### CONFIG_GENERATE_DEFAULT

    static final String CONFIG_GENERATE_DEFAULT

Launch configuration atribute key. The value is a boolean specifying if PDE should generate a default config.ini file for the launch. If `true`, a configuration file is created. Otherwise, the user is expected to specify a config.ini to be used as a template.

See Also:
  `CONFIG_TEMPLATE_LOCATION`, Constant Field Values

#### CONFIG_TEMPLATE_LOCATION

    static final String CONFIG_TEMPLATE_LOCATION

Launch configuration attribute key. The value is a string specifying the location of the config.ini file to be used as a template for an Eclipse application launch. This key is only used when CONFIG_GENERATE_DEFAULT is `false`.

See Also:
  `CONFIG_GENERATE_DEFAULT`, Constant Field Values

#### PRODUCT_FILE

    static final String PRODUCT_FILE

Launch configuration attribute key. The value is a string specifying the location of the .product file with which this launch configuration is associated.

See Also:
  Constant Field Values

#### OSGI_FRAMEWORK_ID

    static final String OSGI_FRAMEWORK_ID

Launch configuration attribute key. The value is the ID of an OSGi framework declared in an `org.eclipse.pde.ui.osgiLaunchers` extension point.

Since:
  3.3
See Also:
  Constant Field Values

#### DEFAULT_AUTO_START

    static final String DEFAULT_AUTO_START

Launch configuration attribute key. The value is a boolean specifying if the default Auto-Start for an OSGi Framework launch configuration is `true` or `false`

See Also:
  `DEFAULT_START_LEVEL`, Constant Field Values

#### DEFAULT_START_LEVEL

    static final String DEFAULT_START_LEVEL

Launch configuration attribute key. The value is an integer specifying the default start level for bundles in an OSGi Framework launch configuration.

See Also:
  `DEFAULT_AUTO_START`, Constant Field Values

#### WORKSPACE_BUNDLES

    @Deprecated
    static final String WORKSPACE_BUNDLES

Deprecated.
Use `SELECTED_WORKSPACE_BUNDLES`
Launch configuration attribute key. The value is a comma-separated list of workspace bundles to launch with the OSGi framework. Each token in the list is of the format: <plugin-id>@<start-level>:<auto-start>

See Also:
  Constant Field Values

#### TARGET_BUNDLES

    @Deprecated
    static final String TARGET_BUNDLES

Deprecated.
Use `SELECTED_TARGET_BUNDLES`
Launch configuration attribute key. The value is a comma-separated list of non-workspace bundles to launch with the OSGi framework. Each token in the list is of the format: <plugin-id>@<start-level>:<auto-start>

See Also:
  Constant Field Values

#### DEFINED_TARGET

    static final String DEFINED_TARGET

Launch configuration attribute key. The value can be either the full path to the workspace location of a Target Definition (ie. .target file), or the ID of a target defined in an org.eclipse.pde.core.targets extension.

See Also:
  Constant Field Values

#### SHOW_SELECTED_ONLY

    static final String SHOW_SELECTED_ONLY

Launch configuration attribute key. The value is a boolean indicating whether or not to display only selected plug-ins.

Since:
  3.4
See Also:
  Constant Field Values

#### TAB_BUNDLES_ID

    static final String TAB_BUNDLES_ID

The unique tab identifier for the bundles tab

Since:
  3.5
See Also:
  Constant Field Values

#### TAB_CONFIGURATION_ID

    static final String TAB_CONFIGURATION_ID

The unique tab identifier for the configuration tab

Since:
  3.5
See Also:
  Constant Field Values

#### TAB_MAIN_ID

    static final String TAB_MAIN_ID

The unique tab identifier for the main tab

Since:
  3.5
See Also:
  Constant Field Values

#### TAB_OSGI_SETTINGS_ID

    static final String TAB_OSGI_SETTINGS_ID

The unique tab identifier for the osgi settings tab

Since:
  3.5
See Also:
  Constant Field Values

#### TAB_PLUGIN_JUNIT_MAIN_ID

    static final String TAB_PLUGIN_JUNIT_MAIN_ID

The unique tab identifier for the plug-in junit tab

Since:
  3.5
See Also:
  Constant Field Values

#### TAB_PLUGINS_ID

    static final String TAB_PLUGINS_ID

The unique tab identifier for the plug-ins tab

Since:
  3.5
See Also:
  Constant Field Values

#### TAB_TRACING_ID

    static final String TAB_TRACING_ID

The unique tab identifier for the tracing tab

Since:
  3.5
See Also:
  Constant Field Values

#### TAB_TEST_ID

    static final String TAB_TEST_ID

The unique tab identifier for the tracing tab

Since:
  3.5
See Also:
  Constant Field Values

#### OSGI_CONFIGURATION_TYPE

    static final String OSGI_CONFIGURATION_TYPE

The launch configuration type id for OSGi launches.

Since:
  3.5
See Also:
  Constant Field Values

#### RUN_IN_UI_THREAD

    static final String RUN_IN_UI_THREAD

Launch configuration attribute key. The value is a boolean specifying whether the tests should run on the UI thread. The default value is `true`

Since:
  3.5
See Also:
  Constant Field Values

#### ECLIPSE_APPLICATION_LAUNCH_CONFIGURATION_TYPE

    static final String ECLIPSE_APPLICATION_LAUNCH_CONFIGURATION_TYPE

The launch configuration type for Eclipse application launches.

Since:
  3.6
See Also:
  Constant Field Values

#### GENERATE_PROFILE

    static final String GENERATE_PROFILE

Launch configuration attribute key. The value is a boolean specifying whether a p2 profile should be

Since:
  3.6
See Also:
  Constant Field Values

#### SELECTED_FEATURES

    static final String SELECTED_FEATURES

Launch configuration attribute key. The value is a List specifying the features to include when launching (when `USE_CUSTOM_FEATURES` is set to `true`. The values in the List are strings that contain the id and plugin resolution value as follows:

     [feature_id]:[resolution]

The resolution must be one of `LOCATION_DEFAULT`, `LOCATION_EXTERNAL`, `LOCATION_WORKSPACE`

Since:
  3.6
See Also:
  Constant Field Values

#### USE_CUSTOM_FEATURES

    static final String USE_CUSTOM_FEATURES

Launch configuration attribute key. The value is a boolean specifying if the feature-based launching mode should be used. This mode will launch with all the workspace and external features that have been explicitly selected in the Plug-ins Tab.

Since:
  3.6
See Also:
  Constant Field Values

#### FEATURE_DEFAULT_LOCATION

    static final String FEATURE_DEFAULT_LOCATION

Launch configuration attribute key. The value is a String specifying if the default location for a feature is `LOCATION_WORKSPACE` or `LOCATION_EXTERNAL`

Since:
  3.6
See Also:
  Constant Field Values

#### FEATURE_PLUGIN_RESOLUTION

    static final String FEATURE_PLUGIN_RESOLUTION

Launch configuration attribute key. The value is a String specifying if the default plug-in resolution location for a feature is `LOCATION_WORKSPACE` or `LOCATION_EXTERNAL`

Since:
  3.6
See Also:
  Constant Field Values

#### LOCATION_DEFAULT

    static final String LOCATION_DEFAULT

Value for a launch configuration attribute used when the object should be obtained from whatever the default location is for this works

Since:
  3.6
See Also:
  `FEATURE_PLUGIN_RESOLUTION`, Constant Field Values

#### LOCATION_EXTERNAL

    static final String LOCATION_EXTERNAL

Value for a launch configuration attribute used when the object should be obtained from an external location over the workspace.

Since:
  3.6
See Also:
  `FEATURE_DEFAULT_LOCATION`, `FEATURE_PLUGIN_RESOLUTION`, Constant Field Values

#### LOCATION_WORKSPACE

    static final String LOCATION_WORKSPACE

Value for a launch configuration attribute used when the object should be obtained from the workspace over an external location.

Since:
  3.6
See Also:
  `FEATURE_DEFAULT_LOCATION`, `FEATURE_PLUGIN_RESOLUTION`, Constant Field Values

#### ADDITIONAL_PLUGINS

    static final String ADDITIONAL_PLUGINS

Launch configuration attribute key. The value is a List specifying the additional plug-ins that will be included along with the features in the list `SELECTED_FEATURES` when launching (when `USE_CUSTOM_FEATURES` is set to `true`. The values in the List are strings that contain the id and versions as follows:

     [plugin_id]:[version]

Since:
  3.6
See Also:
  Constant Field Values